int months[12] = {31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31};

int datum2int(int tag, int monat) {
  for (int i = 0; i < monat - 1; tag += months[i++]);
  return tag;
}

void int2datum(int tage, int *ergebnis) {
  int m = 0;
  for (; tage > months[m]; tage -= months[m++]);
  ergebnis[0] = tage; ergebnis[1] = m+1;
}
